[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Re: Stuck in a loop with Lazarus/FPC after doing an upgrade - FIXED

OK, it's sorted. Seems that synaptic is smarter than apt-get.


On 11/22/2012 04:30 AM, brian wrote:
I seem to be stuck in a loop having tried to do an update. The problem
is with fpc, the FreePascal compiler.

I'd downloaded fpc and Lazarus (the sort-of Delphi clone using fpc)
from the SourceForge website, all was installed and working just fine.

Then I did an upgrade, and one of the updates to be installed was fpc

The problem with this is that the upgrade (using apt-get) produced a
"broken pipe" error with almost every package, only the names
differed. I can paste the whole lot if needed, but an example is :-

Unpacking fp-units-rtl-2.6.0 (from
.../fp-units-rtl-2.6.0_2.6.0-6_amd64.deb) ...
dpkg: error processing
trying to overwrite
'/usr/lib/fpc/2.6.0/units/x86_64-linux/rtl/objpas.o', which is also
in package fpc 2.6.0
dpkg-deb: error: subprocess paste was killed by signal (Broken pipe)

and I now appear to be stuck in a loop.

If I try to do anything with apt-get, I get an error that there are
broken dependencies. Trying an apt-get -f install tries to install
these same packages, with, of course, the same error.

I've tried using dpkg to remove lazarus and fpc. Won't do it, broken

I've tried using dpkg to reinstall the SourceForge version of the
compiler. That at least works, warning me that I'm doing a downgrade,
so I still have a working lazarus installation, but it doesn't correct
the dependencies problem.

So, how do I get out of this mess? I tried e-mailing the packager for
fpc pointing out that there were problems, at least for my system
(64-bit AMD packages) but there's been no reply, not even an



Reply to: